Summary: Secure Shell - encrypts network communications.
Name: ssh
Version: 1.2.27
Release: 1
Group: Networking/Utilities
Copyright: Non-commercially distributable
URL: http://www.cs.hut.fi/ssh/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.cs.hut.fi/pub/ssh/ssh-%{version}.tar.gz
Source1: sshd.init
Patch0:  ssh1-install.patch
BuildRoot: /var/tmp/%{name}-root

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

This is an all-in-one package include server, clients and extra stuff,
except symbolic links.


%package symlinks
Summary: symbolic links for ssh1
Group: Networking/Utilities
Requires: ssh = %{version}

%description symlinks
This package contains all symbolic links for ssh1 which save you typing
the extra `1'. Install it in either of the following cases:
1. You have only ssh1 on your system.
2. You have both ssh1 and ssh2, and you want to use ssh1 by default.


%prep
%setup -q
%patch -p1
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --with-etcdir=/etc/ssh1 --with-libwrap --with-x
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,usr}
make install_prefix=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/usr/{bin,sbin}/* || :
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p -m0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/sshd

# Construct %files lists ( /etc/* still handled by hand below )
find $RPM_BUILD_ROOT/usr -type f | sed "s|^$RPM_BUILD_ROOT||" > files.lst
find $RPM_BUILD_ROOT/usr -type l | sed "s|^$RPM_BUILD_ROOT||" > links.lst


%post
/sbin/chkconfig --add sshd
if [ ! -f /etc/ssh1/ssh_host_key ]; then
	/usr/bin/ssh-keygen1 -b 1024 -f /etc/ssh1/ssh_host_key -N ''
fi

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del sshd
fi


%files -f files.lst
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL OVERVIEW README* RFC* TODO
%config /etc/rc.d/init.d/sshd
%dir /etc/ssh1
%config /etc/ssh1/ssh_config
%config /etc/ssh1/sshd_config

%files symlinks -f links.lst


%clean
rm -rf $RPM_BUILD_ROOT

